shield-purge(8)

NAME
shield-purge - manage hosts rules for the pam_shield package.

SYNOPSIS
shield-purge [-hdnlf] [-c config file]

DESCRIPTION
shield-purge deletes old entries from the database. A binary for the pam-shield module, shield_purge is not intended to be invoked manualy. It is a halper program for job in crontab.

shield-purge clears records from the database that are older than the time specified by retention in shield.conf(5).

This program is part of the PAM-shield package. PAM-shield comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under certain conditions. See the GNU General Public Licence for details.

OPTIONS

-h, --help
    Display this information

-c, --conf=file
    Specify config file (default: /etc/security/shield.conf)

-d, --debug
    Verbose output for debugging purposes

-n, --dry-run
    Do not perform any updates

-l, --list
    List all database entries

-f, --force
    Delete all entries, even if unexpired

AUTHOR
Walter de Jong <walter@heiho.net>

PROJECT LOCATION
https://github.com/jtniehof/pam_shield

COPYRIGHT
Copyright (C) 2007-2011 by Walter de Jong <walter@heiho.net>
Copyright 2010 Jonathan Niehof <jtniehof@gmail.com>